Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Gregory Heytings <[email-masked]>
Date: Fri, 24 Feb 2023 13:54:59 +0000

>
> I don't have any of them installed, but I can try. Which one do you 
> recommend? Perhaps we should choose one that still uses GTK3?
>
> I use stock Ubuntu (22.10).
>

Window Maker, for example.  I think its package name is "wmaker".

>
> Hmm, yes.
>
>  --eval "(setq frame-title-format \"foo bar foo\")"
>
> indeed makes the problem go away. Both the 200-300ms delay in my repro 
> scenario, and the multi-second delay with my personal configuration.
>

That's already a step forward.  But as Eli said, it's surprising that you 
could reproduce the bug with earlier Emacsen in which the title bar was 
(by default) constant.